# ScanbotImageOperations class

Provides methods for working with images.

## Constructors

ScanbotImageOperations.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

applyFiltersOnImage(String imageFileUri, List<ParametricFilter> parametricFilters) → Future<SBDImageResult>
  Applies a list of `parametricFilters` to the image at `imageFileUri`.
createPDFFromImages(CreatePDFArguments params) → Future<CreatePDFResult>
  Creates a PDF file from the given `params`.
createTIFFFromImages(WriteTIFFArguments params) → Future<WriteTIFFResult>
  Creates a multi-page TIFF file from the given `params`.
extractImagesFromPdf(ExtractImagesFromPdfParams params) → Future<ExtractedImagesFromPdfResult>
  Extracts images from the given PDF document based on `params`.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
rotateImage(String imageFileUri, double degrees) → Future<SBDImageResult>
  Rotates the image at `imageFileUri` by the given `degrees`.
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited